package com.fjhx.form.entity;

import com.alibaba.fastjson2.JSONObject;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class AccountsPayableVo {
    /**
     * 字符串id
     */
    private String idStr;
    /**
     * 供应商id
     */
    private Long supplierId;
    private String supplierName;
    private String supplierShortName;
    private String supplierTaxPoints;
    /**
     * 仓库id
     */
    private Long warehouseId;
    private String warehouseName;
    /**
     * 年初余额
     */
    private BigDecimal yearBeginBalance;
    /**
     * 月数据
     */
    @JsonIgnore
    private String dataJson;
    private JSONObject monthData;
    /**
     * 备注
     */
    private String remark;

    @Getter
    @Setter
    public static class MonthDataVo {
        /**
         * 到货金额
         */
        private BigDecimal arrivalAmount;
        /**
         * 到货调整金额
         */
        private BigDecimal arrivalAdjustAmount;
        /**
         * 退货金额
         */
        private BigDecimal backAmount;
        /**
         * 税费
         */
        private BigDecimal taxAmount;
        /**
         * 税费调整
         */
        private BigDecimal taxAdjustAmount;
        /**
         * 付款金额
         */
        private BigDecimal paymentAmount;
        /**
         * 期末金额
         */
        private BigDecimal endAmount;
    }
}
