package com.fjhx.form.service.payable.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.common.utils.Assert;
import com.fjhx.form.entity.payable.po.PayableBalance;
import com.fjhx.form.mapper.payable.PayableBalanceMapper;
import com.fjhx.form.service.payable.PayableBalanceService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 应付帐款余额 服务实现类
 * </p>
 *
 * @author
 * @since 2024-06-04
 */
@Service
public class PayableBalanceServiceImpl extends ServiceImpl<PayableBalanceMapper, PayableBalance> implements PayableBalanceService {

    @DSTransactional
    @Override
    public void edit(PayableBalance dto) {
        Assert.notEmpty(dto.getIdStr(), "idStr 不能为空！");
        Assert.notEmpty(dto.getYear(), "年份不能为空！");

        PayableBalance one = getOne(q -> q.eq(PayableBalance::getIdStr, dto.getIdStr()));
        if (ObjectUtil.isNotEmpty(one)) {
            dto.setId(one.getId());
        }

        this.saveOrUpdate(dto);
    }
}
