package com.fjhx.oa.controller.invoice;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.invoice.dto.InvoiceApplyDto;
import com.fjhx.oa.entity.invoice.dto.InvoiceApplySelectDto;
import com.fjhx.oa.entity.invoice.vo.InvoiceApplyVo;
import com.fjhx.oa.service.invoice.InvoiceApplyService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 开票申请 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-13
 */
@RestController
@RequestMapping("/invoiceApply")
public class InvoiceApplyController {

    @Autowired
    private InvoiceApplyService invoiceApplyService;

    /**
     * 开票申请分页
     */
    @PostMapping("/page")
    public Page<InvoiceApplyVo> page(@RequestBody InvoiceApplySelectDto dto) {
        return invoiceApplyService.getPage(dto);
    }

    /**
     * 开票申请明细
     */
    @PostMapping("/detail")
    public InvoiceApplyVo detail(@RequestBody BaseSelectDto dto) {
        return invoiceApplyService.detail(dto.getId());
    }

    /**
     * 开票申请新增
     */
    @PostMapping("/add")
    public void add(@RequestBody InvoiceApplyDto invoiceApplyDto) {
        invoiceApplyService.addOrEdit(invoiceApplyDto);
    }

    /**
     * 开票申请编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody InvoiceApplyDto invoiceApplyDto) {
        invoiceApplyService.addOrEdit(invoiceApplyDto);
    }

    /**
     * 开票申请删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        invoiceApplyService.delete(dto.getId());
    }

    @PostMapping("/cancellation")
    public void cancellation(@RequestBody BaseSelectDto dto) {
        invoiceApplyService.cancellation(dto.getId());
    }

}
