package com.fjhx.wms.flow;

import com.alibaba.fastjson.JSONObject;
import com.fjhx.flow.core.FlowDelegate;
import com.fjhx.flow.enums.FlowStatusEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ManualOutStockFlow extends FlowDelegate {

    @Autowired
    private ManualInStockFlow manualInStockFlow;

    @Override
    public String getFlowKey() {
        return "manual_out_stock_flow";
    }

    @Override
    public Long start(Long flowId, JSONObject submitData) {
        submitData.put("opType", 2);
        return manualInStockFlow.start(flowId, submitData);
    }

    @Override
    public void end(Long flowId, Long businessId, JSONObject submitData) {
        manualInStockFlow.end(flowId, businessId, submitData);
    }

    @Override
    public void relaunch(Long flowId, Long businessId, FlowStatusEnum flowStatus, JSONObject submitData) {
        manualInStockFlow.relaunch(flowId, businessId, flowStatus, submitData);
    }

    @Override
    public void reject(Long flowId, Long businessId, FlowStatusEnum flowStatus) {
        manualInStockFlow.reject(flowId, businessId, flowStatus);
    }

    @Override
    public void cancellation(Long flowId, Long businessId, FlowStatusEnum flowStatus) {
        manualInStockFlow.cancellation(flowId, businessId, flowStatus);
    }
}
